Bug 1000464 - Guided Editor doesn't work with 'contains' and 'excludes' operators
Guided Editor doesn't work with 'contains' and 'excludes' operators
Status: CLOSED CURRENTRELEASE
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity high
: ER3
: 6.0.0
Assigned To: manstis
Jiri Locker
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-23 09:40 EDT by Jiri Locker
Modified: 2014-08-06 16:15 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:15:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jiri Locker 2013-08-23 09:40:56 EDT
Description of problem:
After a slight modification of mortgages model, it is possible to build a fact pattern using contains operator like this:

$is : IncomeSource( )
Applicant( incomes contains $is )

However when a .rdrl rule with this source is open, it is displayed incorrectly.

Version-Release number of selected component (if applicable):
ER1

How reproducible:
-

Steps to Reproduce:
1. modify mortgages model (add 'incomes' field of type 'IncomeSource [0..N]' to Applicant)
2. create new Guided Rule and build the fact pattern from Description
3. save the rule, close it, open it again

Actual results:
The field name 'incomes' is missing and select boxes for operator 'contains' and bound variable '$is' are reset.

Expected results:
The result after re-opening the rule should be the same as it was saved:

There is an Applicant with:
  incomes [contains] [$is]

Additional info:
Comment 2 Jiri Locker 2013-09-26 11:40:03 EDT
Fixed in ER3.

Note You need to log in before you can comment on or make changes to this bug.